Update AI agent settings
Create or fully replace the AI settings for the specified entity. All fields must be provided for a complete replacement. Note that disabling the agent will make the AI stop responding to all threads. Re-enabling it will make the AI start responding to new threads only.
API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.
Optional agent ID. When provided, updates the specific agent configuration. When absent, uses create-or-fetch behavior.
Meta Business Agent API version
AI agent settings to create or replace
Controls which consumers the AI agent responds to. EVERYONE = all consumers (default), ALLOWLISTED_ONLY = only phone numbers in the allowlist. Only supported for WhatsApp entities.
The updated AI settings for the entity
The AI agent settings for an entity
Unique identifier for this agent configuration. Use this ID to target a specific agent in update or delete operations
1234567890Controls which consumers the AI agent responds to. EVERYONE = all consumers (default), ALLOWLISTED_ONLY = only phone numbers in the allowlist. Null for non-WhatsApp entities.
The channel/platform these settings apply to
Bad request
Unauthorized
Not found
Too many requests
Server error
PUT /agent_config/settings HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 183
{
"ai_audience": "ALLOWLISTED_ONLY",
"followup": {
"enabled": true,
"followup_interval_in_seconds": 0,
"message": "text"
},
"handoff": {
"enabled": true,
"message": "text"
},
"rollout": {
"enabled": true
}
}{
"agent_id": "1234567890",
"ai_audience": "ALLOWLISTED_ONLY",
"channel": "email",
"followup": {
"enabled": true,
"followup_interval_in_seconds": 0,
"message": "text"
},
"handoff": {
"enabled": true,
"message": "text"
},
"rollout": {
"enabled": true
}
}Last updated
Was this helpful?